#line 1 "H:/rfm70/rfm.c"
#line 1 "h:/rfm70/rfm70.c"
#line 1 "h:/rfm70/rfm70.h"
#line 99 "h:/rfm70/rfm70.h"
typedef unsigned char rfm70_buffer [  32  ];
#line 394 "h:/rfm70/rfm70.h"
void rfm70_init( void );






unsigned char rfm70_register_read( unsigned char reg );






void rfm70_buffer_read(
 unsigned char reg,
 unsigned char *buf,
 unsigned char length
);






void rfm70_register_write( unsigned char reg, unsigned char val );







void rfm70_buffer_write(
 char reg,
 const unsigned char *buf,
 unsigned char length
);
#line 446 "h:/rfm70/rfm70.h"
unsigned char rfm70_is_present( void );






void rfm70_mode_transmit( void );






void rfm70_mode_receive( void );










void rfm70_mode_standby( void );







void rfm70_mode_powerdown( void );






void rfm70_lna_low( void );






void rfm70_lna_high( void );









void rfm70_channel( unsigned char ch );
#line 517 "h:/rfm70/rfm70.h"
void rfm70_air_data_rate( unsigned char rate );










void rfm70_crc_length( unsigned char len );









void rfm70_address_length( unsigned char len );
#line 550 "h:/rfm70/rfm70.h"
void rfm70_power( unsigned char level );
#line 569 "h:/rfm70/rfm70.h"
void rfm70_retransmit_delay_attempts( unsigned char d, unsigned char n );







unsigned char rfm70_retransmit_count( void );










unsigned char rfm70_lost_packets_count( void );






void rfm70_lost_packets_reset( void );









void rfm70_pipe_autoack( unsigned char pipe, unsigned char enabled );








void rfm70_pipe_enable( unsigned char d, unsigned char enabled );
#line 626 "h:/rfm70/rfm70.h"
void rfm70_receive_address_p0( const unsigned char address[ 5 ] );
#line 638 "h:/rfm70/rfm70.h"
void rfm70_receive_address_p1( const unsigned char address[ 5 ] );







void rfm70_receive_address_pn( unsigned char channel, unsigned char address );









void rfm70_channel_payload_size( unsigned char n, unsigned char size );






void rfm70_transmit_address( const unsigned char *address );





unsigned char rfm70_transmit_fifo_full( void );





unsigned char rfm70_receive_fifo_empty( void );
#line 693 "h:/rfm70/rfm70.h"
void rfm70_transmit_message(
 const unsigned char *buf,
 unsigned char length
);
#line 712 "h:/rfm70/rfm70.h"
void rfm70_transmit_message_once(
 const unsigned char *buf,
 unsigned char length
);









unsigned char rfm70_receive_next_pipe( void );









unsigned char rfm70_receive_next_length( void );
#line 753 "h:/rfm70/rfm70.h"
unsigned char rfm70_receive(
 unsigned char * pipe,
 unsigned char *buf,
 unsigned char * length
);
#line 1 "h:/rfm70/rfm70-config.h"
#line 1 "h:/rfm70/db038.h"
#line 27 "h:/rfm70/db038.h"
 void wait_ms( unsigned int x );

 extern unsigned char PORTA_SHADOW;
 extern unsigned char PORTB_SHADOW;
 extern unsigned char PORTC_SHADOW;
 extern unsigned char PORTD_SHADOW;
 extern unsigned char PORTE_SHADOW;
#line 89 "h:/rfm70/db038.h"
void disable_analog_functions( void );
#line 1 "h:/rfm70/rfm70.h"
#line 378 "h:/rfm70/rfm70.c"
const unsigned char Bank0_Reg[  10  ][ 2 ]={
 { 0, 0x0F },
 { 1, 0x3F },
 { 2, 0x03 },
 { 3, 0x03 },
 { 4, 0xff },
 { 5, 0x0A },
 { 6 ,0x37 },
 { 7, 0x07 },
 { 8, 0x00 },
 { 23, 0x00 },
};



const unsigned char RX0_Address[]={ 0x34, 0x43, 0x10, 0x10, 0x01 };

unsigned char rfm70_SPI_RW( unsigned char value ){
 unsigned char i;
 for( i =0 ; i < 8; i++ ){
  delay_us( 1 ) ;
  do { if( (value & 0x80) ){ do { PORTC_SHADOW  |= ( 1 << ((1)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((1)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
 value = (value << 1);

  delay_us( 1 ) ;
  do { if( (1) ){ do { PORTC_SHADOW  |= ( 1 << ((0)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((0)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
 value |=  ( RC2 ) ;

  delay_us( 1 ) ;
  do { if( (0) ){ do { PORTC_SHADOW  |= ( 1 << ((0)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((0)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
  delay_us( 1 ) ;
 }
 return value;
}

void rfm70_register_write( unsigned char reg, unsigned char value ){
 if( reg <  0x20  ){
 reg |=  0x20 ;
 }
  do { if( (0) ){ do { PORTC_SHADOW  |= ( 1 << ((3)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((3)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
 rfm70_SPI_RW( reg );
 rfm70_SPI_RW( value );
  do { if( (1) ){ do { PORTC_SHADOW  |= ( 1 << ((3)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((3)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
}

unsigned char rfm70_register_read( unsigned char reg ){
 unsigned char value;
 if( reg <  0x20  ){
 reg |=  0x00 ;
 }
  do { if( (0) ){ do { PORTC_SHADOW  |= ( 1 << ((3)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((3)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
 rfm70_SPI_RW( reg );
 value = rfm70_SPI_RW( 0 );
  do { if( (1) ){ do { PORTC_SHADOW  |= ( 1 << ((3)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((3)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
 return value;
}

void rfm70_buffer_read(
 unsigned char reg,
 unsigned char *pBuf,
 unsigned char length
){
 unsigned char i;
 if( reg <  0x20  ){
 reg |=  0x00 ;
 }
  do { if( (0) ){ do { PORTC_SHADOW  |= ( 1 << ((3)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((3)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
 rfm70_SPI_RW( reg );
 for( i = 0; i < length; i++ ){
 *pBuf++ = rfm70_SPI_RW( 0 );
 }
  do { if( (1) ){ do { PORTC_SHADOW  |= ( 1 << ((3)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((3)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
}

void rfm70_buffer_write(
 char reg,
 const unsigned char *pBuf,
 unsigned char length
){
 unsigned char i;
 if( reg <  0x20  ){
 reg |=  0x20 ;
 }
  do { if( (0) ){ do { PORTC_SHADOW  |= ( 1 << ((3)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((3)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
 rfm70_SPI_RW( reg );
 for( i = 0; i < length; i++ ){
 rfm70_SPI_RW( *pBuf++ );
 }
  do { if( (1) ){ do { PORTC_SHADOW  |= ( 1 << ((3)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((3)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
}

void rfm70_bank( unsigned char b ){
 unsigned char st;
 st = 0x80 & rfm70_register_read(  0x07  );
 if(( st &&( b == 0 )) || (( st == 0 ) && b )){
 rfm70_register_write(  0x50 , 0x53 );
 }
}


const unsigned long Bank1_Reg0_13[] = {
 0xE2014B40,
 0x00004BC0,
 0x028CFCD0,
 0x41390099,
 0x0B869Ef9,
 0xA67F0624,
 0x00000000,
 0x00000000,
 0x00000000,
 0x00000000,
 0x00000000,
 0x00000000,
 0x00127300,
 0x36B48000 };


const unsigned char Bank1_Reg14[] = {
 0x41, 0x20, 0x08, 0x04, 0x81, 0x20, 0xCF, 0xF7, 0xFE, 0xFF, 0xFF };



void rfm70_init_bank1( void ){
 unsigned char i, j;
 unsigned char WriteArr[ 12 ];

 rfm70_bank( 1 );

 for( i = 0; i <= 8; i++ ){
 for( j = 0; j < 4; j++ ){
 WriteArr[ j ]=( Bank1_Reg0_13[ i ]>>(8*(j) ) )&0xff;
 }
 rfm70_buffer_write( i,*WriteArr, 4 );
 }

 for( i = 9; i <= 13; i++ ){
 for( j = 0; j < 4; j++ ){
 WriteArr[ j ]=( Bank1_Reg0_13[ i ]>>(8*(3-j) ) )&0xff;
 }
 rfm70_buffer_write( i, *WriteArr, 4 );
 }

 rfm70_buffer_write( 14, Bank1_Reg14, 11 );


 for(j=0;j<4;j++){
 WriteArr[ j ]=( Bank1_Reg0_13[ 4 ]>>(8*(j) ) )&0xff;
 }

 WriteArr[ 0 ] = WriteArr[ 0 ] | 0x06;
 rfm70_buffer_write( 4, *WriteArr, 4);

 WriteArr[ 0 ] = WriteArr[ 0 ] & 0xf9;
 rfm70_buffer_write( 4, *WriteArr,4);

 rfm70_bank( 0 );
}

unsigned char rfm70_is_present( void ){
 unsigned char st1, st2;
 st1 = rfm70_register_read(  0x07  );
 rfm70_register_write(  0x50 , 0x53 );
 st2 = rfm70_register_read(  0x07  );
 rfm70_register_write(  0x50 , 0x53 );
 return ( st1 ^ st2 ) == 0x80;
}

void rfm70_mode_receive( void ){
 unsigned char value;


 rfm70_register_write(  0xE2 , 0 );


 value = rfm70_register_read(  0x07  );
 rfm70_register_write(  0x07  ,value );


  do { if( (0) ){ do { PORTC_SHADOW  |= ( 1 << ((4)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((4)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
 value = rfm70_register_read(  0x00  );
 value |= 0x01;
 value |= 0x02;
 rfm70_register_write(  0x00 , value );
  do { if( (1) ){ do { PORTC_SHADOW  |= ( 1 << ((4)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((4)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
}

void rfm70_mode_transmit( void ){
 unsigned char value;


 rfm70_register_write(  0xE1 , 0);


 value = rfm70_register_read(  0x07  );
 rfm70_register_write(  0x07  ,value );


  do { if( (0) ){ do { PORTC_SHADOW  |= ( 1 << ((4)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((4)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
 value = rfm70_register_read(  0x00  );
 value &= 0xFE;
 value |= 0x02;
 rfm70_register_write(  0x00 , value );
  do { if( (1) ){ do { PORTC_SHADOW  |= ( 1 << ((4)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((4)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
}

void rfm70_mode_standby( void ){
 unsigned char value;
  do { if( (0) ){ do { PORTC_SHADOW  |= ( 1 << ((4)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((4)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
 value = rfm70_register_read(  0x00  );
 value |= 0x02;
 rfm70_register_write(  0x00 , value );
}

void rfm70_mode_powerdown( void ){
 unsigned char value;
  do { if( (0) ){ do { PORTC_SHADOW  |= ( 1 << ((4)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((4)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
 value = rfm70_register_read(  0x00  );
 value &= 0xFD;
 rfm70_register_write(  0x00 , value );
}

void rfm70_channel( unsigned char ch ){

 rfm70_register_write(  0x05 , ch & 0x7E );
}

void rfm70_air_data_rate( unsigned char rate ){
 unsigned char value;
  do { if( (0) ){ do { PORTC_SHADOW  |= ( 1 << ((4)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((4)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
 value = rfm70_register_read(  0x06  );
 value &= 0xF7;
 if( rate > 1 ){
 value |= 0x08;
 }
 rfm70_register_write(  0x06 , value );
  do { if( (1) ){ do { PORTC_SHADOW  |= ( 1 << ((4)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((4)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
}

void rfm70_crc_length( unsigned char len ){
 unsigned char val;
 if( len > 2 ){
 len = 2;
 }
 val = rfm70_register_read(  0x00  );
 if( len == 0 ){
 val &= 0xF3;
 rfm70_register_write(  0x01 , 0 );
 rfm70_register_write(  0x00 , val );
 } else {
 rfm70_register_write(  0x01 , 0x3F );
 val &= 0xFB;
 if( val == 2 ){
 val |= 0x04;
 }
 rfm70_register_write(  0x00 , val );
 }
}

void rfm70_address_length( unsigned char len ){
 if( len > 5 ){
 len = 5;
 }
 if( len < 3 ){
 len = 3;
 }
 rfm70_register_write(  0x03 , len - 2 );
}

unsigned char rfm70_transmit_fifo_full( void ){
 unsigned char s;
 s = rfm70_register_read(  0x17  );
 return ( s &  0x20  ) != 0;
}

unsigned char rfm70_receive_fifo_empty( void ){
 unsigned char s;
 s = rfm70_register_read(  0x17  );
 return ( s &  0x01  ) != 0;
}

void rfm70_receive_address_p0( const unsigned char address[ 5 ] ){
 rfm70_buffer_write(  0x0A , address, 5 );
}

void rfm70_receive_address_p1( const unsigned char address[ 5 ] ){
 rfm70_buffer_write(  0x0B , address, 5 );
}

void rfm70_receive_address_pn( unsigned char channel, unsigned char address ){
 rfm70_register_write(  0x0A  + channel, address );
}

void rfm70_transmit_address( const unsigned char *address ){
 rfm70_buffer_write(  0x10 , address, 5 );
}

unsigned char rfm70_retransmit_count( void ){
 return rfm70_register_read(  0x08  ) & 0x0F;
}

unsigned char rfm70_lost_packets_count( void ){
 return ( rfm70_register_read(  0x08  ) >> 4 ) & 0x0F;
}

void rfm70_pipe_autoack( unsigned char pipe, unsigned char enabled ){
 unsigned char val;
 val = rfm70_register_read(  0x01  );
 if( pipe > 5 ){
 pipe = 5;
 }
 if( enabled ){
 val |= 1 << pipe;
 } else {
 val &= ~ ( 1 << pipe );
 }
 rfm70_register_write(  0x01 , val );
}

void rfm70_pipe_enable( unsigned char pipe, unsigned char enabled ){
 unsigned char val;
 val = rfm70_register_read(  0x02  );
 if( pipe > 5 ){
 pipe = 5;
 }
 if( enabled ){
 val |= 1 << pipe;
 } else {
 val &= ~ ( 1 << pipe );
 }
 rfm70_register_write(  0x02 , val );
}

void rfm70_lost_packets_reset( void ){
 unsigned char val;
 val = rfm70_register_read(  0x05  );
 rfm70_register_write(  0x05 , val );
}

void rfm70_retransmit_delay_attempts( unsigned char d, unsigned char n ){
 rfm70_register_write(
  0x04 , ( n & 0x0F ) | (( d & 0x0F ) << 4 ));
}

void rfm70_lna_high( void ){
 unsigned char val;
 val = rfm70_register_read(  0x06  );
 val |= 0x01;
 rfm70_register_write(  0x06 , val );
}

void rfm70_lna_low( void ){
 unsigned char val;
 val = rfm70_register_read(  0x06  );
 val &= 0xFE;
 rfm70_register_write(  0x06 , val );
}

void rfm70_power( unsigned char level ){
 unsigned char val;
 if( level > 3 ){
 level = 3;
 }
  do { if( (0) ){ do { PORTC_SHADOW  |= ( 1 << ((4)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((4)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;

 val = rfm70_register_read(  0x06  );
 val &= 0x09;
 val |= 0x30;
 val |= ( level << 1 );
 rfm70_register_write(  0x06 , val );
  do { if( (1) ){ do { PORTC_SHADOW  |= ( 1 << ((4)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((4)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
}

void rfm70_channel_payload_size( unsigned char channel, unsigned char size ){
 unsigned char val;
 if( size > 32 ){
 size = 32;
 }
 val = rfm70_register_read(  0x1C  );
 if( size == 0 ){
 val |= 1 << channel;
 } else {
 val &= ~ ( 1 << channel );
 }
 rfm70_register_write(  0x1C , val );
 rfm70_register_write(  0x11  + channel, size );
}

void rfm70_transmit_message(
 const unsigned char *buf,
 unsigned char length
){
 if( length > 32 ){
 length = 32;
 }
 rfm70_buffer_write(  0xA0 , buf, length );
}

void rfm70_transmit_message_once(
 const unsigned char *buf,
 unsigned char length
){
 if( length > 32 ){
 length = 32;
 }
 rfm70_buffer_write(  0xB0 , buf, length );
}

unsigned char rfm70_receive_next_pipe( void ){
 unsigned char status;
 status = rfm70_register_read(  0x07  );
 return ( status >> 1 ) & 0x07;
}

unsigned char rfm70_receive_next_length( void ){
 return rfm70_register_read(  0x60  );
}

unsigned char rfm70_receive(
 unsigned char * pipe,
 unsigned char *buf,
 unsigned char * length
){
 unsigned char p;
 p = rfm70_receive_next_pipe();
 if( p == 0x07 ){
 return 0;
 }
 * pipe = p;
 * length = rfm70_receive_next_length();
 rfm70_buffer_read(  0x61 , buf, * length );
 return 1;
}

void rfm70_init( void ){
 unsigned char i;

  { TRISC = 0b00000100; } ;

  do { if( (0) ){ do { PORTC_SHADOW  |= ( 1 << ((4)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((4)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
  do { if( (1) ){ do { PORTC_SHADOW  |= ( 1 << ((3)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((3)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
  do { if( (0) ){ do { PORTC_SHADOW  |= ( 1 << ((0)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((0)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;
  do { if( (0) ){ do { PORTC_SHADOW  |= ( 1 << ((1)) ); PORTC = PORTC_SHADOW ; } while(0) ; } else { do { PORTC_SHADOW  &= ( 0xFF ^ ( 1 << ((1)) )); PORTC = PORTC_SHADOW ; } while(0) ; } } while(0) ;



  delay_ms( 50 ) ;


 rfm70_bank( 0 );
 for( i = 0; i <  10 ; i++ ){
 rfm70_register_write( Bank0_Reg[ i ][0], Bank0_Reg[ i ][1] );
 }

 rfm70_receive_address_p0( RX0_Address );
 rfm70_receive_address_p1( RX0_Address );
 rfm70_transmit_address( RX0_Address );


 i = rfm70_register_read(29);
 if( i == 0 ){
 rfm70_register_write(  0x50 , 0x73 );
 }


 rfm70_register_write( 28, 0x3F );


 rfm70_register_write( 29, 0x07 );


 rfm70_channel_payload_size( 0, 0 );
 rfm70_channel_payload_size( 1, 0 );

 rfm70_init_bank1();
  delay_ms( 50 ) ;
 rfm70_mode_receive();
}
#line 1 "h:/rfm70/rfm70.h"
#line 1 "h:/rfm70/rfm70-config.h"
#line 1 "h:/rfm70/db038.h"
#line 27 "h:/rfm70/db038.h"
 void wait_ms( unsigned int x );

 extern unsigned char PORTA_SHADOW;
 extern unsigned char PORTB_SHADOW;
 extern unsigned char PORTC_SHADOW;
 extern unsigned char PORTD_SHADOW;
 extern unsigned char PORTE_SHADOW;
#line 89 "h:/rfm70/db038.h"
void disable_analog_functions( void );
#line 1 "h:/rfm70/rfm70.h"
#line 11 "H:/rfm70/rfm.c"
void main() {

 unsigned char n = 0;
 unsigned char transmit_led = 0;
 unsigned char receive_led = 0;
 unsigned char len, i, chksum, pipe;
 unsigned char rx_buf[  32  ];
 const unsigned char tx_buf[17]={
 0x30,0x31,0x32,0x33,0x34,0x35,0x36,0x37,0x38,
 0x39,0x3a,0x3b,0x3c,0x3d,0x3e,0x3f,0x78};


 PORTA=0;
 C1ON_bit = 0;
 C2ON_bit = 0;

 PORTA = 0;
 TRISA = 0;
 PORTB = 0;
 TRISB = 0;

 ANSEL = 0;
 ANSELH= 0;
 CM1CON0=0;
 CM2CON0=0;

 ANSEL = 0;
 ANSELH = 0;
 WPUB = 0;

  TRISA.B1=0; ;
  TRISA.B0=0; ;

 rfm70_init();


}
