
_rfm70_SPI_RW:
;rfm70.c,395 :: 		unsigned char rfm70_SPI_RW( unsigned char value ){
;rfm70.c,397 :: 		for( i =0 ; i < 8; i++ ){
	CLRF       R1+0
L_rfm70_SPI_RW0:
	MOVLW      8
	SUBWF      R1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_SPI_RW1
;rfm70.c,398 :: 		RFM70_WAIT_US( 1 );
	NOP
	NOP
;rfm70.c,399 :: 		RFM70_MOSI( value & 0x80  );
	BTFSS      FARG_rfm70_SPI_RW_value+0, 7
	GOTO       L_rfm70_SPI_RW6
	MOVLW      2
	IORWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
	GOTO       L_rfm70_SPI_RW9
L_rfm70_SPI_RW6:
	MOVLW      255
	ANDWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
L_rfm70_SPI_RW9:
;rfm70.c,400 :: 		value = (value << 1);    // shift next bit into MSB..
	RLF        FARG_rfm70_SPI_RW_value+0, 1
	BCF        FARG_rfm70_SPI_RW_value+0, 0
;rfm70.c,402 :: 		RFM70_WAIT_US( 1 );
	NOP
	NOP
;rfm70.c,403 :: 		RFM70_SCK( 1 );
	MOVLW      1
	IORWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
L_rfm70_SPI_RW18:
;rfm70.c,404 :: 		value |= RFM70_MISO;     // capture current MISO bit
	BSF        FARG_rfm70_SPI_RW_value+0, 1
;rfm70.c,406 :: 		RFM70_WAIT_US( 1 );
	NOP
	NOP
;rfm70.c,407 :: 		RFM70_SCK( 0 );
L_rfm70_SPI_RW24:
	MOVLW      255
	ANDWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
;rfm70.c,408 :: 		RFM70_WAIT_US( 1 );
	NOP
	NOP
;rfm70.c,397 :: 		for( i =0 ; i < 8; i++ ){
	INCF       R1+0, 1
;rfm70.c,409 :: 		}
	GOTO       L_rfm70_SPI_RW0
L_rfm70_SPI_RW1:
;rfm70.c,410 :: 		return value;
	MOVF       FARG_rfm70_SPI_RW_value+0, 0
	MOVWF      R0+0
;rfm70.c,411 :: 		}
	RETURN
; end of _rfm70_SPI_RW

_rfm70_register_write:
;rfm70.c,413 :: 		void rfm70_register_write( unsigned char reg, unsigned char value ){
;rfm70.c,414 :: 		if( reg < RFM70_CMD_WRITE_REG ){
	MOVLW      32
	SUBWF      FARG_rfm70_register_write_reg+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_register_write31
;rfm70.c,415 :: 		reg |= RFM70_CMD_WRITE_REG;
	BSF        FARG_rfm70_register_write_reg+0, 5
;rfm70.c,416 :: 		}
L_rfm70_register_write31:
;rfm70.c,417 :: 		RFM70_CSN( 0 );                // CSN low, init SPI transaction
L_rfm70_register_write34:
	MOVLW      255
	ANDWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
;rfm70.c,418 :: 		rfm70_SPI_RW( reg );    // select register
	MOVF       FARG_rfm70_register_write_reg+0, 0
	MOVWF      FARG_rfm70_SPI_RW_value+0
	CALL       _rfm70_SPI_RW+0
;rfm70.c,419 :: 		rfm70_SPI_RW( value );  // ..and write value to it..
	MOVF       FARG_rfm70_register_write_value+0, 0
	MOVWF      FARG_rfm70_SPI_RW_value+0
	CALL       _rfm70_SPI_RW+0
;rfm70.c,420 :: 		RFM70_CSN( 1 );                // CSN high again
	MOVLW      8
	IORWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
L_rfm70_register_write45:
;rfm70.c,421 :: 		}
	RETURN
; end of _rfm70_register_write

_rfm70_register_read:
;rfm70.c,423 :: 		unsigned char rfm70_register_read( unsigned char reg ){
;rfm70.c,425 :: 		if( reg < RFM70_CMD_WRITE_REG ){
	MOVLW      32
	SUBWF      FARG_rfm70_register_read_reg+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_register_read48
;rfm70.c,426 :: 		reg |= RFM70_CMD_READ_REG;
;rfm70.c,427 :: 		}
L_rfm70_register_read48:
;rfm70.c,428 :: 		RFM70_CSN( 0 );               // CSN low, initialize SPI communication...
L_rfm70_register_read51:
	MOVLW      255
	ANDWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
;rfm70.c,429 :: 		rfm70_SPI_RW( reg );   // Select register to read from..
	MOVF       FARG_rfm70_register_read_reg+0, 0
	MOVWF      FARG_rfm70_SPI_RW_value+0
	CALL       _rfm70_SPI_RW+0
;rfm70.c,430 :: 		value = rfm70_SPI_RW( 0 );   // ..then read register value
	CLRF       FARG_rfm70_SPI_RW_value+0
	CALL       _rfm70_SPI_RW+0
	MOVF       R0+0, 0
	MOVWF      rfm70_register_read_value_L0+0
;rfm70.c,431 :: 		RFM70_CSN( 1 );               // CSN high, terminate SPI communication
	MOVLW      8
	IORWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
L_rfm70_register_read62:
;rfm70.c,432 :: 		return value;                 // return register value
	MOVF       rfm70_register_read_value_L0+0, 0
	MOVWF      R0+0
;rfm70.c,433 :: 		}
	RETURN
; end of _rfm70_register_read

_rfm70_buffer_read:
;rfm70.c,439 :: 		){
;rfm70.c,441 :: 		if( reg < RFM70_CMD_WRITE_REG ){
	MOVLW      32
	SUBWF      FARG_rfm70_buffer_read_reg+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_buffer_read65
;rfm70.c,442 :: 		reg |= RFM70_CMD_READ_REG;
;rfm70.c,443 :: 		}
L_rfm70_buffer_read65:
;rfm70.c,444 :: 		RFM70_CSN( 0 );                   // Set CSN 0
L_rfm70_buffer_read68:
	MOVLW      255
	ANDWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
;rfm70.c,445 :: 		rfm70_SPI_RW( reg );       // Select register to write
	MOVF       FARG_rfm70_buffer_read_reg+0, 0
	MOVWF      FARG_rfm70_SPI_RW_value+0
	CALL       _rfm70_SPI_RW+0
;rfm70.c,446 :: 		for( i = 0; i < length; i++ ){    // read all bytes
	CLRF       rfm70_buffer_read_i_L0+0
L_rfm70_buffer_read74:
	MOVF       FARG_rfm70_buffer_read_length+0, 0
	SUBWF      rfm70_buffer_read_i_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_buffer_read75
;rfm70.c,447 :: 		*pBuf++ = rfm70_SPI_RW( 0 );  // read one byte from RFM70
	CLRF       FARG_rfm70_SPI_RW_value+0
	CALL       _rfm70_SPI_RW+0
	MOVF       FARG_rfm70_buffer_read_pBuf+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
	INCF       FARG_rfm70_buffer_read_pBuf+0, 1
;rfm70.c,446 :: 		for( i = 0; i < length; i++ ){    // read all bytes
	INCF       rfm70_buffer_read_i_L0+0, 1
;rfm70.c,448 :: 		}
	GOTO       L_rfm70_buffer_read74
L_rfm70_buffer_read75:
;rfm70.c,449 :: 		RFM70_CSN( 1 );                   // Set CSN high again
	MOVLW      8
	IORWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
L_rfm70_buffer_read82:
;rfm70.c,450 :: 		}
	RETURN
; end of _rfm70_buffer_read

_rfm70_buffer_write:
;rfm70.c,456 :: 		){
;rfm70.c,458 :: 		if( reg < RFM70_CMD_WRITE_REG ){
	MOVLW      32
	SUBWF      FARG_rfm70_buffer_write_reg+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_buffer_write85
;rfm70.c,459 :: 		reg |= RFM70_CMD_WRITE_REG;
	BSF        FARG_rfm70_buffer_write_reg+0, 5
;rfm70.c,460 :: 		}
L_rfm70_buffer_write85:
;rfm70.c,461 :: 		RFM70_CSN( 0 );                     // Set CSN low, init SPI tranaction
L_rfm70_buffer_write88:
	MOVLW      255
	ANDWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
;rfm70.c,462 :: 		rfm70_SPI_RW( reg );         // Select register to write tio write
	MOVF       FARG_rfm70_buffer_write_reg+0, 0
	MOVWF      FARG_rfm70_SPI_RW_value+0
	CALL       _rfm70_SPI_RW+0
;rfm70.c,463 :: 		for( i = 0; i < length; i++ ){      // write all bytes in buffer(*pBuf)
	CLRF       rfm70_buffer_write_i_L0+0
L_rfm70_buffer_write94:
	MOVF       FARG_rfm70_buffer_write_length+0, 0
	SUBWF      rfm70_buffer_write_i_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_buffer_write95
;rfm70.c,464 :: 		rfm70_SPI_RW( *pBuf++ );  // write one byte
	MOVF       FARG_rfm70_buffer_write_pBuf+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       FARG_rfm70_buffer_write_pBuf+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_rfm70_SPI_RW_value+0
	CALL       _rfm70_SPI_RW+0
	INCF       FARG_rfm70_buffer_write_pBuf+0, 1
	BTFSC      STATUS+0, 2
	INCF       FARG_rfm70_buffer_write_pBuf+1, 1
;rfm70.c,463 :: 		for( i = 0; i < length; i++ ){      // write all bytes in buffer(*pBuf)
	INCF       rfm70_buffer_write_i_L0+0, 1
;rfm70.c,465 :: 		}
	GOTO       L_rfm70_buffer_write94
L_rfm70_buffer_write95:
;rfm70.c,466 :: 		RFM70_CSN( 1 );                     // Set CSN high again
	MOVLW      8
	IORWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
L_rfm70_buffer_write102:
;rfm70.c,467 :: 		}
	RETURN
; end of _rfm70_buffer_write

_rfm70_bank:
;rfm70.c,469 :: 		void rfm70_bank( unsigned char b ){
;rfm70.c,471 :: 		st = 0x80 & rfm70_register_read( RFM70_REG_STATUS );
	MOVLW      7
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
	MOVLW      128
	ANDWF      R0+0, 1
	MOVF       R0+0, 0
	MOVWF      rfm70_bank_st_L0+0
;rfm70.c,472 :: 		if(( st &&( b == 0 )) || (( st == 0 ) && b )){
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__rfm70_bank267
	MOVF       FARG_rfm70_bank_b+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__rfm70_bank267
	GOTO       L__rfm70_bank265
L__rfm70_bank267:
	MOVF       rfm70_bank_st_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__rfm70_bank266
	MOVF       FARG_rfm70_bank_b+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__rfm70_bank266
	GOTO       L__rfm70_bank265
L__rfm70_bank266:
	GOTO       L_rfm70_bank111
L__rfm70_bank265:
;rfm70.c,473 :: 		rfm70_register_write( RFM70_CMD_ACTIVATE, 0x53 );
	MOVLW      80
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVLW      83
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,474 :: 		}
L_rfm70_bank111:
;rfm70.c,475 :: 		}
	RETURN
; end of _rfm70_bank

_rfm70_init_bank1:
;rfm70.c,500 :: 		void rfm70_init_bank1( void ){
;rfm70.c,504 :: 		rfm70_bank( 1 );
	MOVLW      1
	MOVWF      FARG_rfm70_bank_b+0
	CALL       _rfm70_bank+0
;rfm70.c,506 :: 		for( i = 0; i <= 8; i++ ){ //reverse!
	CLRF       rfm70_init_bank1_i_L0+0
L_rfm70_init_bank1112:
	MOVF       rfm70_init_bank1_i_L0+0, 0
	SUBLW      8
	BTFSS      STATUS+0, 0
	GOTO       L_rfm70_init_bank1113
;rfm70.c,507 :: 		for( j = 0; j < 4; j++ ){
	CLRF       rfm70_init_bank1_j_L0+0
L_rfm70_init_bank1115:
	MOVLW      4
	SUBWF      rfm70_init_bank1_j_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_init_bank1116
;rfm70.c,508 :: 		WriteArr[ j ]=( Bank1_Reg0_13[ i ]>>(8*(j) ) )&0xff;
	MOVF       rfm70_init_bank1_j_L0+0, 0
	ADDLW      rfm70_init_bank1_WriteArr_L0+0
	MOVWF      R9+0
	MOVF       rfm70_init_bank1_i_L0+0, 0
	MOVWF      R0+0
	CLRF       R0+1
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	MOVLW      _Bank1_Reg0_13+0
	ADDWF      R0+0, 1
	MOVLW      hi_addr(_Bank1_Reg0_13+0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R5+0
	INCF       ___DoICPAddr+0, 1
	BTFSC      STATUS+0, 2
	INCF       ___DoICPAddr+1, 1
	CALL       _____DoICP+0
	MOVWF      R5+1
	INCF       ___DoICPAddr+0, 1
	BTFSC      STATUS+0, 2
	INCF       ___DoICPAddr+1, 1
	CALL       _____DoICP+0
	MOVWF      R5+2
	INCF       ___DoICPAddr+0, 1
	BTFSC      STATUS+0, 2
	INCF       ___DoICPAddr+1, 1
	CALL       _____DoICP+0
	MOVWF      R5+3
	MOVLW      3
	MOVWF      R2+0
	MOVF       rfm70_init_bank1_j_L0+0, 0
	MOVWF      R0+0
	CLRF       R0+1
	MOVF       R2+0, 0
L__rfm70_init_bank1268:
	BTFSC      STATUS+0, 2
	GOTO       L__rfm70_init_bank1269
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__rfm70_init_bank1268
L__rfm70_init_bank1269:
	MOVF       R0+0, 0
	MOVWF      R4+0
	MOVF       R5+0, 0
	MOVWF      R0+0
	MOVF       R5+1, 0
	MOVWF      R0+1
	MOVF       R5+2, 0
	MOVWF      R0+2
	MOVF       R5+3, 0
	MOVWF      R0+3
	MOVF       R4+0, 0
L__rfm70_init_bank1270:
	BTFSC      STATUS+0, 2
	GOTO       L__rfm70_init_bank1271
	RRF        R0+3, 1
	RRF        R0+2, 1
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+3, 7
	ADDLW      255
	GOTO       L__rfm70_init_bank1270
L__rfm70_init_bank1271:
	MOVLW      255
	ANDWF      R0+0, 1
	MOVF       R9+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;rfm70.c,507 :: 		for( j = 0; j < 4; j++ ){
	INCF       rfm70_init_bank1_j_L0+0, 1
;rfm70.c,509 :: 		}
	GOTO       L_rfm70_init_bank1115
L_rfm70_init_bank1116:
;rfm70.c,510 :: 		rfm70_buffer_write( i,*WriteArr, 4 );
	MOVF       rfm70_init_bank1_i_L0+0, 0
	MOVWF      FARG_rfm70_buffer_write_reg+0
	MOVF       rfm70_init_bank1_WriteArr_L0+0, 0
	MOVWF      FARG_rfm70_buffer_write_pBuf+0
	CLRF       FARG_rfm70_buffer_write_pBuf+1
	MOVLW      4
	MOVWF      FARG_rfm70_buffer_write_length+0
	CALL       _rfm70_buffer_write+0
;rfm70.c,506 :: 		for( i = 0; i <= 8; i++ ){ //reverse!
	INCF       rfm70_init_bank1_i_L0+0, 1
;rfm70.c,511 :: 		}
	GOTO       L_rfm70_init_bank1112
L_rfm70_init_bank1113:
;rfm70.c,513 :: 		for( i = 9; i <= 13; i++ ){
	MOVLW      9
	MOVWF      rfm70_init_bank1_i_L0+0
L_rfm70_init_bank1118:
	MOVF       rfm70_init_bank1_i_L0+0, 0
	SUBLW      13
	BTFSS      STATUS+0, 0
	GOTO       L_rfm70_init_bank1119
;rfm70.c,514 :: 		for( j = 0; j < 4; j++ ){
	CLRF       rfm70_init_bank1_j_L0+0
L_rfm70_init_bank1121:
	MOVLW      4
	SUBWF      rfm70_init_bank1_j_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_init_bank1122
;rfm70.c,515 :: 		WriteArr[ j ]=( Bank1_Reg0_13[ i ]>>(8*(3-j) ) )&0xff;
	MOVF       rfm70_init_bank1_j_L0+0, 0
	ADDLW      rfm70_init_bank1_WriteArr_L0+0
	MOVWF      R9+0
	MOVF       rfm70_init_bank1_i_L0+0, 0
	MOVWF      R0+0
	CLRF       R0+1
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	MOVLW      _Bank1_Reg0_13+0
	ADDWF      R0+0, 1
	MOVLW      hi_addr(_Bank1_Reg0_13+0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R5+0
	INCF       ___DoICPAddr+0, 1
	BTFSC      STATUS+0, 2
	INCF       ___DoICPAddr+1, 1
	CALL       _____DoICP+0
	MOVWF      R5+1
	INCF       ___DoICPAddr+0, 1
	BTFSC      STATUS+0, 2
	INCF       ___DoICPAddr+1, 1
	CALL       _____DoICP+0
	MOVWF      R5+2
	INCF       ___DoICPAddr+0, 1
	BTFSC      STATUS+0, 2
	INCF       ___DoICPAddr+1, 1
	CALL       _____DoICP+0
	MOVWF      R5+3
	MOVF       rfm70_init_bank1_j_L0+0, 0
	SUBLW      3
	MOVWF      R3+0
	CLRF       R3+1
	BTFSS      STATUS+0, 0
	DECF       R3+1, 1
	MOVLW      3
	MOVWF      R2+0
	MOVF       R3+0, 0
	MOVWF      R0+0
	MOVF       R3+1, 0
	MOVWF      R0+1
	MOVF       R2+0, 0
L__rfm70_init_bank1272:
	BTFSC      STATUS+0, 2
	GOTO       L__rfm70_init_bank1273
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__rfm70_init_bank1272
L__rfm70_init_bank1273:
	MOVF       R0+0, 0
	MOVWF      R4+0
	MOVF       R5+0, 0
	MOVWF      R0+0
	MOVF       R5+1, 0
	MOVWF      R0+1
	MOVF       R5+2, 0
	MOVWF      R0+2
	MOVF       R5+3, 0
	MOVWF      R0+3
	MOVF       R4+0, 0
L__rfm70_init_bank1274:
	BTFSC      STATUS+0, 2
	GOTO       L__rfm70_init_bank1275
	RRF        R0+3, 1
	RRF        R0+2, 1
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+3, 7
	ADDLW      255
	GOTO       L__rfm70_init_bank1274
L__rfm70_init_bank1275:
	MOVLW      255
	ANDWF      R0+0, 1
	MOVF       R9+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;rfm70.c,514 :: 		for( j = 0; j < 4; j++ ){
	INCF       rfm70_init_bank1_j_L0+0, 1
;rfm70.c,516 :: 		}
	GOTO       L_rfm70_init_bank1121
L_rfm70_init_bank1122:
;rfm70.c,517 :: 		rfm70_buffer_write( i, *WriteArr, 4 );
	MOVF       rfm70_init_bank1_i_L0+0, 0
	MOVWF      FARG_rfm70_buffer_write_reg+0
	MOVF       rfm70_init_bank1_WriteArr_L0+0, 0
	MOVWF      FARG_rfm70_buffer_write_pBuf+0
	CLRF       FARG_rfm70_buffer_write_pBuf+1
	MOVLW      4
	MOVWF      FARG_rfm70_buffer_write_length+0
	CALL       _rfm70_buffer_write+0
;rfm70.c,513 :: 		for( i = 9; i <= 13; i++ ){
	INCF       rfm70_init_bank1_i_L0+0, 1
;rfm70.c,518 :: 		}
	GOTO       L_rfm70_init_bank1118
L_rfm70_init_bank1119:
;rfm70.c,520 :: 		rfm70_buffer_write( 14, Bank1_Reg14, 11 );
	MOVLW      14
	MOVWF      FARG_rfm70_buffer_write_reg+0
	MOVLW      _Bank1_Reg14+0
	MOVWF      FARG_rfm70_buffer_write_pBuf+0
	MOVLW      hi_addr(_Bank1_Reg14+0
	MOVWF      FARG_rfm70_buffer_write_pBuf+1
	MOVLW      11
	MOVWF      FARG_rfm70_buffer_write_length+0
	CALL       _rfm70_buffer_write+0
;rfm70.c,523 :: 		for(j=0;j<4;j++){
	CLRF       rfm70_init_bank1_j_L0+0
L_rfm70_init_bank1124:
	MOVLW      4
	SUBWF      rfm70_init_bank1_j_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_init_bank1125
;rfm70.c,524 :: 		WriteArr[ j ]=( Bank1_Reg0_13[ 4 ]>>(8*(j) ) )&0xff;
	MOVF       rfm70_init_bank1_j_L0+0, 0
	ADDLW      rfm70_init_bank1_WriteArr_L0+0
	MOVWF      FSR
	MOVLW      3
	MOVWF      R2+0
	MOVF       rfm70_init_bank1_j_L0+0, 0
	MOVWF      R0+0
	CLRF       R0+1
	MOVF       R2+0, 0
L__rfm70_init_bank1276:
	BTFSC      STATUS+0, 2
	GOTO       L__rfm70_init_bank1277
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__rfm70_init_bank1276
L__rfm70_init_bank1277:
	MOVF       R0+0, 0
	MOVWF      R4+0
	MOVLW      249
	MOVWF      R0+0
	MOVLW      158
	MOVWF      R0+1
	MOVLW      134
	MOVWF      R0+2
	MOVLW      11
	MOVWF      R0+3
	MOVF       R4+0, 0
L__rfm70_init_bank1278:
	BTFSC      STATUS+0, 2
	GOTO       L__rfm70_init_bank1279
	RRF        R0+3, 1
	RRF        R0+2, 1
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+3, 7
	ADDLW      255
	GOTO       L__rfm70_init_bank1278
L__rfm70_init_bank1279:
	MOVLW      255
	ANDWF      R0+0, 1
	MOVF       R0+0, 0
	MOVWF      INDF+0
;rfm70.c,523 :: 		for(j=0;j<4;j++){
	INCF       rfm70_init_bank1_j_L0+0, 1
;rfm70.c,525 :: 		}
	GOTO       L_rfm70_init_bank1124
L_rfm70_init_bank1125:
;rfm70.c,527 :: 		WriteArr[ 0 ] = WriteArr[ 0 ] | 0x06;
	MOVLW      6
	IORWF      rfm70_init_bank1_WriteArr_L0+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      rfm70_init_bank1_WriteArr_L0+0
;rfm70.c,528 :: 		rfm70_buffer_write( 4, *WriteArr, 4);
	MOVLW      4
	MOVWF      FARG_rfm70_buffer_write_reg+0
	MOVF       R0+0, 0
	MOVWF      FARG_rfm70_buffer_write_pBuf+0
	CLRF       FARG_rfm70_buffer_write_pBuf+1
	MOVLW      4
	MOVWF      FARG_rfm70_buffer_write_length+0
	CALL       _rfm70_buffer_write+0
;rfm70.c,530 :: 		WriteArr[ 0 ] = WriteArr[ 0 ] & 0xf9;
	MOVLW      249
	ANDWF      rfm70_init_bank1_WriteArr_L0+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      rfm70_init_bank1_WriteArr_L0+0
;rfm70.c,531 :: 		rfm70_buffer_write( 4, *WriteArr,4);
	MOVLW      4
	MOVWF      FARG_rfm70_buffer_write_reg+0
	MOVF       R0+0, 0
	MOVWF      FARG_rfm70_buffer_write_pBuf+0
	CLRF       FARG_rfm70_buffer_write_pBuf+1
	MOVLW      4
	MOVWF      FARG_rfm70_buffer_write_length+0
	CALL       _rfm70_buffer_write+0
;rfm70.c,533 :: 		rfm70_bank( 0 );
	CLRF       FARG_rfm70_bank_b+0
	CALL       _rfm70_bank+0
;rfm70.c,534 :: 		}
	RETURN
; end of _rfm70_init_bank1

_rfm70_is_present:
;rfm70.c,536 :: 		unsigned char rfm70_is_present( void ){
;rfm70.c,538 :: 		st1 = rfm70_register_read( RFM70_REG_STATUS );
	MOVLW      7
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
	MOVF       R0+0, 0
	MOVWF      rfm70_is_present_st1_L0+0
;rfm70.c,539 :: 		rfm70_register_write( RFM70_CMD_ACTIVATE, 0x53 );
	MOVLW      80
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVLW      83
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,540 :: 		st2 = rfm70_register_read( RFM70_REG_STATUS );
	MOVLW      7
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
	MOVF       R0+0, 0
	MOVWF      rfm70_is_present_st2_L0+0
;rfm70.c,541 :: 		rfm70_register_write( RFM70_CMD_ACTIVATE, 0x53 );
	MOVLW      80
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVLW      83
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,542 :: 		return ( st1 ^ st2 ) == 0x80;
	MOVF       rfm70_is_present_st2_L0+0, 0
	XORWF      rfm70_is_present_st1_L0+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      128
	MOVLW      1
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
;rfm70.c,543 :: 		}
	RETURN
; end of _rfm70_is_present

_rfm70_mode_receive:
;rfm70.c,545 :: 		void rfm70_mode_receive( void ){
;rfm70.c,549 :: 		rfm70_register_write( RFM70_CMD_FLUSH_RX, 0 );
	MOVLW      226
	MOVWF      FARG_rfm70_register_write_reg+0
	CLRF       FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,552 :: 		value = rfm70_register_read( RFM70_REG_STATUS );
	MOVLW      7
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
;rfm70.c,553 :: 		rfm70_register_write( RFM70_REG_STATUS ,value );
	MOVLW      7
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVF       R0+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,556 :: 		RFM70_CE( 0 );
L_rfm70_mode_receive129:
	MOVLW      255
	ANDWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
;rfm70.c,557 :: 		value = rfm70_register_read( RFM70_REG_CONFIG );
	CLRF       FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
;rfm70.c,558 :: 		value |= 0x01; // set RX bit
	MOVLW      1
	IORWF      R0+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
;rfm70.c,559 :: 		value |= 0x02; // set PWR_UP bit
	BSF        FARG_rfm70_register_write_value+0, 1
;rfm70.c,560 :: 		rfm70_register_write( RFM70_REG_CONFIG, value );
	CLRF       FARG_rfm70_register_write_reg+0
	CALL       _rfm70_register_write+0
;rfm70.c,561 :: 		RFM70_CE( 1 );
	MOVLW      16
	IORWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
L_rfm70_mode_receive140:
;rfm70.c,562 :: 		}
	RETURN
; end of _rfm70_mode_receive

_rfm70_mode_transmit:
;rfm70.c,564 :: 		void rfm70_mode_transmit( void ){
;rfm70.c,568 :: 		rfm70_register_write( RFM70_CMD_FLUSH_TX, 0);
	MOVLW      225
	MOVWF      FARG_rfm70_register_write_reg+0
	CLRF       FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,571 :: 		value = rfm70_register_read( RFM70_REG_STATUS );
	MOVLW      7
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
;rfm70.c,572 :: 		rfm70_register_write( RFM70_REG_STATUS ,value );
	MOVLW      7
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVF       R0+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,575 :: 		RFM70_CE( 0 );
L_rfm70_mode_transmit145:
	MOVLW      255
	ANDWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
;rfm70.c,576 :: 		value = rfm70_register_read( RFM70_REG_CONFIG );
	CLRF       FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
;rfm70.c,577 :: 		value &= 0xFE; // clear RX bit
	MOVLW      254
	ANDWF      R0+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
;rfm70.c,578 :: 		value |= 0x02; // set PWR_UP bit
	BSF        FARG_rfm70_register_write_value+0, 1
;rfm70.c,579 :: 		rfm70_register_write( RFM70_REG_CONFIG, value );
	CLRF       FARG_rfm70_register_write_reg+0
	CALL       _rfm70_register_write+0
;rfm70.c,580 :: 		RFM70_CE( 1 );
	MOVLW      16
	IORWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
L_rfm70_mode_transmit156:
;rfm70.c,581 :: 		}
	RETURN
; end of _rfm70_mode_transmit

_rfm70_mode_standby:
;rfm70.c,583 :: 		void rfm70_mode_standby( void ){
;rfm70.c,585 :: 		RFM70_CE( 0 );
L_rfm70_mode_standby161:
	MOVLW      255
	ANDWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
;rfm70.c,586 :: 		value = rfm70_register_read( RFM70_REG_CONFIG );
	CLRF       FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
;rfm70.c,587 :: 		value |= 0x02; // set PWR_UP bit
	MOVLW      2
	IORWF      R0+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
;rfm70.c,588 :: 		rfm70_register_write( RFM70_REG_CONFIG, value );
	CLRF       FARG_rfm70_register_write_reg+0
	CALL       _rfm70_register_write+0
;rfm70.c,589 :: 		}
	RETURN
; end of _rfm70_mode_standby

_rfm70_mode_powerdown:
;rfm70.c,591 :: 		void rfm70_mode_powerdown( void ){
;rfm70.c,593 :: 		RFM70_CE( 0 );
L_rfm70_mode_powerdown169:
	MOVLW      255
	ANDWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
;rfm70.c,594 :: 		value = rfm70_register_read( RFM70_REG_CONFIG );
	CLRF       FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
;rfm70.c,595 :: 		value &= 0xFD; // clear PWR_UP bit
	MOVLW      253
	ANDWF      R0+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
;rfm70.c,596 :: 		rfm70_register_write( RFM70_REG_CONFIG, value );
	CLRF       FARG_rfm70_register_write_reg+0
	CALL       _rfm70_register_write+0
;rfm70.c,597 :: 		}
	RETURN
; end of _rfm70_mode_powerdown

_rfm70_channel:
;rfm70.c,599 :: 		void rfm70_channel( unsigned char ch ){
;rfm70.c,601 :: 		rfm70_register_write( RFM70_REG_RF_CH, ch & 0x7E );
	MOVLW      5
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVLW      126
	ANDWF      FARG_rfm70_channel_ch+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,602 :: 		}
	RETURN
; end of _rfm70_channel

_rfm70_air_data_rate:
;rfm70.c,604 :: 		void rfm70_air_data_rate( unsigned char rate ){
;rfm70.c,606 :: 		RFM70_CE( 0 );
L_rfm70_air_data_rate177:
	MOVLW      255
	ANDWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
;rfm70.c,607 :: 		value = rfm70_register_read( RFM70_REG_RF_SETUP );
	MOVLW      6
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
	MOVF       R0+0, 0
	MOVWF      rfm70_air_data_rate_value_L0+0
;rfm70.c,608 :: 		value &= 0xF7;
	MOVLW      247
	ANDWF      R0+0, 0
	MOVWF      rfm70_air_data_rate_value_L0+0
;rfm70.c,609 :: 		if( rate > 1 ){
	MOVF       FARG_rfm70_air_data_rate_rate+0, 0
	SUBLW      1
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_air_data_rate183
;rfm70.c,610 :: 		value |= 0x08;
	BSF        rfm70_air_data_rate_value_L0+0, 3
;rfm70.c,611 :: 		}
L_rfm70_air_data_rate183:
;rfm70.c,612 :: 		rfm70_register_write( RFM70_REG_RF_SETUP, value );
	MOVLW      6
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVF       rfm70_air_data_rate_value_L0+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,613 :: 		RFM70_CE( 1 );
	MOVLW      16
	IORWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
L_rfm70_air_data_rate189:
;rfm70.c,614 :: 		}
	RETURN
; end of _rfm70_air_data_rate

_rfm70_crc_length:
;rfm70.c,616 :: 		void rfm70_crc_length( unsigned char len ){
;rfm70.c,618 :: 		if( len > 2 ){
	MOVF       FARG_rfm70_crc_length_len+0, 0
	SUBLW      2
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_crc_length192
;rfm70.c,619 :: 		len = 2;
	MOVLW      2
	MOVWF      FARG_rfm70_crc_length_len+0
;rfm70.c,620 :: 		}
L_rfm70_crc_length192:
;rfm70.c,621 :: 		val = rfm70_register_read( RFM70_REG_CONFIG );
	CLRF       FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
	MOVF       R0+0, 0
	MOVWF      rfm70_crc_length_val_L0+0
;rfm70.c,622 :: 		if( len == 0 ){
	MOVF       FARG_rfm70_crc_length_len+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_rfm70_crc_length193
;rfm70.c,623 :: 		val &= 0xF3;
	MOVLW      243
	ANDWF      rfm70_crc_length_val_L0+0, 1
;rfm70.c,624 :: 		rfm70_register_write( RFM70_REG_EN_AA, 0 );
	MOVLW      1
	MOVWF      FARG_rfm70_register_write_reg+0
	CLRF       FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,625 :: 		rfm70_register_write( RFM70_REG_CONFIG, val );
	CLRF       FARG_rfm70_register_write_reg+0
	MOVF       rfm70_crc_length_val_L0+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,626 :: 		} else {
	GOTO       L_rfm70_crc_length194
L_rfm70_crc_length193:
;rfm70.c,627 :: 		rfm70_register_write( RFM70_REG_EN_AA, 0x3F );
	MOVLW      1
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVLW      63
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,628 :: 		val &= 0xFB;
	MOVLW      251
	ANDWF      rfm70_crc_length_val_L0+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      rfm70_crc_length_val_L0+0
;rfm70.c,629 :: 		if( val == 2 ){
	MOVF       R1+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_rfm70_crc_length195
;rfm70.c,630 :: 		val |= 0x04;
	BSF        rfm70_crc_length_val_L0+0, 2
;rfm70.c,631 :: 		}
L_rfm70_crc_length195:
;rfm70.c,632 :: 		rfm70_register_write( RFM70_REG_CONFIG, val );
	CLRF       FARG_rfm70_register_write_reg+0
	MOVF       rfm70_crc_length_val_L0+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,633 :: 		}
L_rfm70_crc_length194:
;rfm70.c,634 :: 		}
	RETURN
; end of _rfm70_crc_length

_rfm70_address_length:
;rfm70.c,636 :: 		void rfm70_address_length( unsigned char len ){
;rfm70.c,637 :: 		if( len > 5 ){
	MOVF       FARG_rfm70_address_length_len+0, 0
	SUBLW      5
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_address_length196
;rfm70.c,638 :: 		len = 5;
	MOVLW      5
	MOVWF      FARG_rfm70_address_length_len+0
;rfm70.c,639 :: 		}
L_rfm70_address_length196:
;rfm70.c,640 :: 		if( len < 3 ){
	MOVLW      3
	SUBWF      FARG_rfm70_address_length_len+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_address_length197
;rfm70.c,641 :: 		len = 3;
	MOVLW      3
	MOVWF      FARG_rfm70_address_length_len+0
;rfm70.c,642 :: 		}
L_rfm70_address_length197:
;rfm70.c,643 :: 		rfm70_register_write( RFM70_REG_SETUP_AW, len - 2  );
	MOVLW      3
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVLW      2
	SUBWF      FARG_rfm70_address_length_len+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,644 :: 		}
	RETURN
; end of _rfm70_address_length

_rfm70_transmit_fifo_full:
;rfm70.c,646 :: 		unsigned char rfm70_transmit_fifo_full( void ){
;rfm70.c,648 :: 		s = rfm70_register_read( RFM70_REG_FIFO_STATUS );
	MOVLW      23
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
;rfm70.c,649 :: 		return ( s & FIFO_STATUS_TX_FULL ) != 0;
	MOVLW      32
	ANDWF      R0+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	MOVLW      1
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
;rfm70.c,650 :: 		}
	RETURN
; end of _rfm70_transmit_fifo_full

_rfm70_receive_fifo_empty:
;rfm70.c,652 :: 		unsigned char rfm70_receive_fifo_empty( void ){
;rfm70.c,654 :: 		s = rfm70_register_read( RFM70_REG_FIFO_STATUS );
	MOVLW      23
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
;rfm70.c,655 :: 		return ( s & FIFO_STATUS_RX_EMPTY ) != 0;
	MOVLW      1
	ANDWF      R0+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	MOVLW      1
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
;rfm70.c,656 :: 		}
	RETURN
; end of _rfm70_receive_fifo_empty

_rfm70_receive_address_p0:
;rfm70.c,658 :: 		void rfm70_receive_address_p0( const unsigned char address[ 5 ] ){
;rfm70.c,659 :: 		rfm70_buffer_write( RFM70_REG_RX_ADDR_P0, address, 5 );
	MOVLW      10
	MOVWF      FARG_rfm70_buffer_write_reg+0
	MOVF       FARG_rfm70_receive_address_p0_address+0, 0
	MOVWF      FARG_rfm70_buffer_write_pBuf+0
	MOVF       FARG_rfm70_receive_address_p0_address+1, 0
	MOVWF      FARG_rfm70_buffer_write_pBuf+1
	MOVLW      5
	MOVWF      FARG_rfm70_buffer_write_length+0
	CALL       _rfm70_buffer_write+0
;rfm70.c,660 :: 		}
	RETURN
; end of _rfm70_receive_address_p0

_rfm70_receive_address_p1:
;rfm70.c,662 :: 		void rfm70_receive_address_p1( const unsigned char address[ 5 ] ){
;rfm70.c,663 :: 		rfm70_buffer_write( RFM70_REG_RX_ADDR_P1, address, 5 );
	MOVLW      11
	MOVWF      FARG_rfm70_buffer_write_reg+0
	MOVF       FARG_rfm70_receive_address_p1_address+0, 0
	MOVWF      FARG_rfm70_buffer_write_pBuf+0
	MOVF       FARG_rfm70_receive_address_p1_address+1, 0
	MOVWF      FARG_rfm70_buffer_write_pBuf+1
	MOVLW      5
	MOVWF      FARG_rfm70_buffer_write_length+0
	CALL       _rfm70_buffer_write+0
;rfm70.c,664 :: 		}
	RETURN
; end of _rfm70_receive_address_p1

_rfm70_receive_address_pn:
;rfm70.c,666 :: 		void rfm70_receive_address_pn( unsigned char channel, unsigned char address ){
;rfm70.c,667 :: 		rfm70_register_write( RFM70_REG_RX_ADDR_P0 + channel, address );
	MOVF       FARG_rfm70_receive_address_pn_channel+0, 0
	ADDLW      10
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVF       FARG_rfm70_receive_address_pn_address+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,668 :: 		}
	RETURN
; end of _rfm70_receive_address_pn

_rfm70_transmit_address:
;rfm70.c,670 :: 		void rfm70_transmit_address( const unsigned char *address ){
;rfm70.c,671 :: 		rfm70_buffer_write( RFM70_REG_TX_ADDR, address, 5 );
	MOVLW      16
	MOVWF      FARG_rfm70_buffer_write_reg+0
	MOVF       FARG_rfm70_transmit_address_address+0, 0
	MOVWF      FARG_rfm70_buffer_write_pBuf+0
	MOVF       FARG_rfm70_transmit_address_address+1, 0
	MOVWF      FARG_rfm70_buffer_write_pBuf+1
	MOVLW      5
	MOVWF      FARG_rfm70_buffer_write_length+0
	CALL       _rfm70_buffer_write+0
;rfm70.c,672 :: 		}
	RETURN
; end of _rfm70_transmit_address

_rfm70_retransmit_count:
;rfm70.c,674 :: 		unsigned char rfm70_retransmit_count( void ){
;rfm70.c,675 :: 		return rfm70_register_read( RFM70_REG_OBSERVE_TX ) & 0x0F;
	MOVLW      8
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
	MOVLW      15
	ANDWF      R0+0, 1
;rfm70.c,676 :: 		}
	RETURN
; end of _rfm70_retransmit_count

_rfm70_lost_packets_count:
;rfm70.c,678 :: 		unsigned char rfm70_lost_packets_count( void ){
;rfm70.c,679 :: 		return ( rfm70_register_read( RFM70_REG_OBSERVE_TX ) >> 4 ) & 0x0F;
	MOVLW      8
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
	MOVF       R0+0, 0
	MOVWF      R1+0
	RRF        R1+0, 1
	BCF        R1+0, 7
	RRF        R1+0, 1
	BCF        R1+0, 7
	RRF        R1+0, 1
	BCF        R1+0, 7
	RRF        R1+0, 1
	BCF        R1+0, 7
	MOVLW      15
	ANDWF      R1+0, 0
	MOVWF      R0+0
;rfm70.c,680 :: 		}
	RETURN
; end of _rfm70_lost_packets_count

_rfm70_pipe_autoack:
;rfm70.c,682 :: 		void rfm70_pipe_autoack( unsigned char pipe, unsigned char enabled ){
;rfm70.c,684 :: 		val = rfm70_register_read( RFM70_REG_EN_AA );
	MOVLW      1
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
	MOVF       R0+0, 0
	MOVWF      rfm70_pipe_autoack_val_L0+0
;rfm70.c,685 :: 		if( pipe > 5 ){
	MOVF       FARG_rfm70_pipe_autoack_pipe+0, 0
	SUBLW      5
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_pipe_autoack198
;rfm70.c,686 :: 		pipe = 5;
	MOVLW      5
	MOVWF      FARG_rfm70_pipe_autoack_pipe+0
;rfm70.c,687 :: 		}
L_rfm70_pipe_autoack198:
;rfm70.c,688 :: 		if( enabled ){
	MOVF       FARG_rfm70_pipe_autoack_enabled+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_rfm70_pipe_autoack199
;rfm70.c,689 :: 		val |= 1 << pipe;
	MOVF       FARG_rfm70_pipe_autoack_pipe+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__rfm70_pipe_autoack280:
	BTFSC      STATUS+0, 2
	GOTO       L__rfm70_pipe_autoack281
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__rfm70_pipe_autoack280
L__rfm70_pipe_autoack281:
	MOVF       R0+0, 0
	IORWF      rfm70_pipe_autoack_val_L0+0, 1
;rfm70.c,690 :: 		} else {
	GOTO       L_rfm70_pipe_autoack200
L_rfm70_pipe_autoack199:
;rfm70.c,691 :: 		val &= ~ ( 1 << pipe );
	MOVF       FARG_rfm70_pipe_autoack_pipe+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__rfm70_pipe_autoack282:
	BTFSC      STATUS+0, 2
	GOTO       L__rfm70_pipe_autoack283
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__rfm70_pipe_autoack282
L__rfm70_pipe_autoack283:
	COMF       R0+0, 1
	MOVF       R0+0, 0
	ANDWF      rfm70_pipe_autoack_val_L0+0, 1
;rfm70.c,692 :: 		}
L_rfm70_pipe_autoack200:
;rfm70.c,693 :: 		rfm70_register_write( RFM70_REG_EN_AA, val );
	MOVLW      1
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVF       rfm70_pipe_autoack_val_L0+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,694 :: 		}
	RETURN
; end of _rfm70_pipe_autoack

_rfm70_pipe_enable:
;rfm70.c,696 :: 		void rfm70_pipe_enable( unsigned char pipe, unsigned char enabled ){
;rfm70.c,698 :: 		val = rfm70_register_read( RFM70_REG_EN_RXADDR );
	MOVLW      2
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
	MOVF       R0+0, 0
	MOVWF      rfm70_pipe_enable_val_L0+0
;rfm70.c,699 :: 		if( pipe > 5 ){
	MOVF       FARG_rfm70_pipe_enable_pipe+0, 0
	SUBLW      5
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_pipe_enable201
;rfm70.c,700 :: 		pipe = 5;
	MOVLW      5
	MOVWF      FARG_rfm70_pipe_enable_pipe+0
;rfm70.c,701 :: 		}
L_rfm70_pipe_enable201:
;rfm70.c,702 :: 		if( enabled ){
	MOVF       FARG_rfm70_pipe_enable_enabled+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_rfm70_pipe_enable202
;rfm70.c,703 :: 		val |= 1 << pipe;
	MOVF       FARG_rfm70_pipe_enable_pipe+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__rfm70_pipe_enable284:
	BTFSC      STATUS+0, 2
	GOTO       L__rfm70_pipe_enable285
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__rfm70_pipe_enable284
L__rfm70_pipe_enable285:
	MOVF       R0+0, 0
	IORWF      rfm70_pipe_enable_val_L0+0, 1
;rfm70.c,704 :: 		} else {
	GOTO       L_rfm70_pipe_enable203
L_rfm70_pipe_enable202:
;rfm70.c,705 :: 		val &= ~ ( 1 << pipe );
	MOVF       FARG_rfm70_pipe_enable_pipe+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__rfm70_pipe_enable286:
	BTFSC      STATUS+0, 2
	GOTO       L__rfm70_pipe_enable287
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__rfm70_pipe_enable286
L__rfm70_pipe_enable287:
	COMF       R0+0, 1
	MOVF       R0+0, 0
	ANDWF      rfm70_pipe_enable_val_L0+0, 1
;rfm70.c,706 :: 		}
L_rfm70_pipe_enable203:
;rfm70.c,707 :: 		rfm70_register_write( RFM70_REG_EN_RXADDR, val );
	MOVLW      2
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVF       rfm70_pipe_enable_val_L0+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,708 :: 		}
	RETURN
; end of _rfm70_pipe_enable

_rfm70_lost_packets_reset:
;rfm70.c,710 :: 		void rfm70_lost_packets_reset( void ){
;rfm70.c,712 :: 		val = rfm70_register_read( RFM70_REG_RF_CH );
	MOVLW      5
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
;rfm70.c,713 :: 		rfm70_register_write( RFM70_REG_RF_CH, val );
	MOVLW      5
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVF       R0+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,714 :: 		}
	RETURN
; end of _rfm70_lost_packets_reset

_rfm70_retransmit_delay_attempts:
;rfm70.c,716 :: 		void rfm70_retransmit_delay_attempts( unsigned char d, unsigned char n ){
;rfm70.c,718 :: 		RFM70_REG_SETUP_RETR, ( n & 0x0F ) | (( d & 0x0F ) << 4 ));
	MOVLW      4
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVLW      15
	ANDWF      FARG_rfm70_retransmit_delay_attempts_n+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
	MOVLW      15
	ANDWF      FARG_rfm70_retransmit_delay_attempts_d+0, 0
	MOVWF      R2+0
	MOVF       R2+0, 0
	MOVWF      R0+0
	RLF        R0+0, 1
	BCF        R0+0, 0
	RLF        R0+0, 1
	BCF        R0+0, 0
	RLF        R0+0, 1
	BCF        R0+0, 0
	RLF        R0+0, 1
	BCF        R0+0, 0
	MOVF       R0+0, 0
	IORWF      FARG_rfm70_register_write_value+0, 1
	CALL       _rfm70_register_write+0
;rfm70.c,719 :: 		}
	RETURN
; end of _rfm70_retransmit_delay_attempts

_rfm70_lna_high:
;rfm70.c,721 :: 		void rfm70_lna_high( void ){
;rfm70.c,723 :: 		val = rfm70_register_read( RFM70_REG_RF_SETUP );
	MOVLW      6
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
;rfm70.c,724 :: 		val |= 0x01;
	MOVLW      1
	IORWF      R0+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
;rfm70.c,725 :: 		rfm70_register_write( RFM70_REG_RF_SETUP, val );
	MOVLW      6
	MOVWF      FARG_rfm70_register_write_reg+0
	CALL       _rfm70_register_write+0
;rfm70.c,726 :: 		}
	RETURN
; end of _rfm70_lna_high

_rfm70_lna_low:
;rfm70.c,728 :: 		void rfm70_lna_low( void ){
;rfm70.c,730 :: 		val = rfm70_register_read( RFM70_REG_RF_SETUP );
	MOVLW      6
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
;rfm70.c,731 :: 		val &= 0xFE;
	MOVLW      254
	ANDWF      R0+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
;rfm70.c,732 :: 		rfm70_register_write( RFM70_REG_RF_SETUP, val );
	MOVLW      6
	MOVWF      FARG_rfm70_register_write_reg+0
	CALL       _rfm70_register_write+0
;rfm70.c,733 :: 		}
	RETURN
; end of _rfm70_lna_low

_rfm70_power:
;rfm70.c,735 :: 		void rfm70_power( unsigned char level ){
;rfm70.c,737 :: 		if( level > 3 ){
	MOVF       FARG_rfm70_power_level+0, 0
	SUBLW      3
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_power204
;rfm70.c,738 :: 		level = 3;
	MOVLW      3
	MOVWF      FARG_rfm70_power_level+0
;rfm70.c,739 :: 		}
L_rfm70_power204:
;rfm70.c,740 :: 		RFM70_CE( 0 );
L_rfm70_power207:
	MOVLW      255
	ANDWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
;rfm70.c,742 :: 		val = rfm70_register_read( RFM70_REG_RF_SETUP );
	MOVLW      6
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
;rfm70.c,743 :: 		val &= 0x09;
	MOVLW      9
	ANDWF      R0+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
;rfm70.c,744 :: 		val |= 0x30;
	MOVLW      48
	IORWF      FARG_rfm70_register_write_value+0, 1
;rfm70.c,745 :: 		val |= ( level << 1 );
	MOVF       FARG_rfm70_power_level+0, 0
	MOVWF      R0+0
	RLF        R0+0, 1
	BCF        R0+0, 0
	MOVF       R0+0, 0
	IORWF      FARG_rfm70_register_write_value+0, 1
;rfm70.c,746 :: 		rfm70_register_write( RFM70_REG_RF_SETUP, val );
	MOVLW      6
	MOVWF      FARG_rfm70_register_write_reg+0
	CALL       _rfm70_register_write+0
;rfm70.c,747 :: 		RFM70_CE( 1 );
	MOVLW      16
	IORWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
L_rfm70_power218:
;rfm70.c,748 :: 		}
	RETURN
; end of _rfm70_power

_rfm70_channel_payload_size:
;rfm70.c,750 :: 		void rfm70_channel_payload_size( unsigned char channel, unsigned char size ){
;rfm70.c,752 :: 		if( size > 32 ){
	MOVF       FARG_rfm70_channel_payload_size_size+0, 0
	SUBLW      32
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_channel_payload_size221
;rfm70.c,753 :: 		size = 32;
	MOVLW      32
	MOVWF      FARG_rfm70_channel_payload_size_size+0
;rfm70.c,754 :: 		}
L_rfm70_channel_payload_size221:
;rfm70.c,755 :: 		val = rfm70_register_read( RFM70_REG_DYNPD );
	MOVLW      28
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
	MOVF       R0+0, 0
	MOVWF      rfm70_channel_payload_size_val_L0+0
;rfm70.c,756 :: 		if( size == 0 ){
	MOVF       FARG_rfm70_channel_payload_size_size+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_rfm70_channel_payload_size222
;rfm70.c,757 :: 		val |= 1 << channel;
	MOVF       FARG_rfm70_channel_payload_size_channel+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__rfm70_channel_payload_size288:
	BTFSC      STATUS+0, 2
	GOTO       L__rfm70_channel_payload_size289
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__rfm70_channel_payload_size288
L__rfm70_channel_payload_size289:
	MOVF       R0+0, 0
	IORWF      rfm70_channel_payload_size_val_L0+0, 1
;rfm70.c,758 :: 		} else {
	GOTO       L_rfm70_channel_payload_size223
L_rfm70_channel_payload_size222:
;rfm70.c,759 :: 		val &= ~ ( 1 << channel );
	MOVF       FARG_rfm70_channel_payload_size_channel+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__rfm70_channel_payload_size290:
	BTFSC      STATUS+0, 2
	GOTO       L__rfm70_channel_payload_size291
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__rfm70_channel_payload_size290
L__rfm70_channel_payload_size291:
	COMF       R0+0, 1
	MOVF       R0+0, 0
	ANDWF      rfm70_channel_payload_size_val_L0+0, 1
;rfm70.c,760 :: 		}
L_rfm70_channel_payload_size223:
;rfm70.c,761 :: 		rfm70_register_write( RFM70_REG_DYNPD, val );
	MOVLW      28
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVF       rfm70_channel_payload_size_val_L0+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,762 :: 		rfm70_register_write( RFM70_REG_RX_PW_P0 + channel, size );
	MOVF       FARG_rfm70_channel_payload_size_channel+0, 0
	ADDLW      17
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVF       FARG_rfm70_channel_payload_size_size+0, 0
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,763 :: 		}
	RETURN
; end of _rfm70_channel_payload_size

_rfm70_transmit_message:
;rfm70.c,768 :: 		){
;rfm70.c,769 :: 		if( length > 32 ){
	MOVF       FARG_rfm70_transmit_message_length+0, 0
	SUBLW      32
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_transmit_message224
;rfm70.c,770 :: 		length = 32;
	MOVLW      32
	MOVWF      FARG_rfm70_transmit_message_length+0
;rfm70.c,771 :: 		}
L_rfm70_transmit_message224:
;rfm70.c,772 :: 		rfm70_buffer_write( RFM70_CMD_W_TX_PAYLOAD, buf, length );
	MOVLW      160
	MOVWF      FARG_rfm70_buffer_write_reg+0
	MOVF       FARG_rfm70_transmit_message_buf+0, 0
	MOVWF      FARG_rfm70_buffer_write_pBuf+0
	MOVF       FARG_rfm70_transmit_message_buf+1, 0
	MOVWF      FARG_rfm70_buffer_write_pBuf+1
	MOVF       FARG_rfm70_transmit_message_length+0, 0
	MOVWF      FARG_rfm70_buffer_write_length+0
	CALL       _rfm70_buffer_write+0
;rfm70.c,773 :: 		}
	RETURN
; end of _rfm70_transmit_message

_rfm70_transmit_message_once:
;rfm70.c,778 :: 		){
;rfm70.c,779 :: 		if( length > 32 ){
	MOVF       FARG_rfm70_transmit_message_once_length+0, 0
	SUBLW      32
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_transmit_message_once225
;rfm70.c,780 :: 		length = 32;
	MOVLW      32
	MOVWF      FARG_rfm70_transmit_message_once_length+0
;rfm70.c,781 :: 		}
L_rfm70_transmit_message_once225:
;rfm70.c,782 :: 		rfm70_buffer_write( RFM70_CMD_W_TX_PAYLOAD_NOACK, buf, length );
	MOVLW      176
	MOVWF      FARG_rfm70_buffer_write_reg+0
	MOVF       FARG_rfm70_transmit_message_once_buf+0, 0
	MOVWF      FARG_rfm70_buffer_write_pBuf+0
	MOVF       FARG_rfm70_transmit_message_once_buf+1, 0
	MOVWF      FARG_rfm70_buffer_write_pBuf+1
	MOVF       FARG_rfm70_transmit_message_once_length+0, 0
	MOVWF      FARG_rfm70_buffer_write_length+0
	CALL       _rfm70_buffer_write+0
;rfm70.c,783 :: 		}
	RETURN
; end of _rfm70_transmit_message_once

_rfm70_receive_next_pipe:
;rfm70.c,785 :: 		unsigned char rfm70_receive_next_pipe( void ){
;rfm70.c,787 :: 		status = rfm70_register_read( RFM70_REG_STATUS );
	MOVLW      7
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
;rfm70.c,788 :: 		return ( status >> 1 ) & 0x07;
	MOVF       R0+0, 0
	MOVWF      R1+0
	RRF        R1+0, 1
	BCF        R1+0, 7
	MOVLW      7
	ANDWF      R1+0, 0
	MOVWF      R0+0
;rfm70.c,789 :: 		}
	RETURN
; end of _rfm70_receive_next_pipe

_rfm70_receive_next_length:
;rfm70.c,791 :: 		unsigned char rfm70_receive_next_length( void ){
;rfm70.c,792 :: 		return rfm70_register_read( RFM70_CMD_R_RX_PL_WID );
	MOVLW      96
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
;rfm70.c,793 :: 		}
	RETURN
; end of _rfm70_receive_next_length

_rfm70_receive:
;rfm70.c,799 :: 		){
;rfm70.c,801 :: 		p = rfm70_receive_next_pipe();
	CALL       _rfm70_receive_next_pipe+0
	MOVF       R0+0, 0
	MOVWF      rfm70_receive_p_L0+0
;rfm70.c,802 :: 		if( p == 0x07 ){
	MOVF       R0+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L_rfm70_receive226
;rfm70.c,803 :: 		return 0;
	CLRF       R0+0
	RETURN
;rfm70.c,804 :: 		}
L_rfm70_receive226:
;rfm70.c,805 :: 		* pipe = p;
	MOVF       FARG_rfm70_receive_pipe+0, 0
	MOVWF      FSR
	MOVF       rfm70_receive_p_L0+0, 0
	MOVWF      INDF+0
;rfm70.c,806 :: 		* length = rfm70_receive_next_length();
	CALL       _rfm70_receive_next_length+0
	MOVF       FARG_rfm70_receive_length+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;rfm70.c,807 :: 		rfm70_buffer_read( RFM70_CMD_R_RX_PAYLOAD, buf, * length );
	MOVLW      97
	MOVWF      FARG_rfm70_buffer_read_reg+0
	MOVF       FARG_rfm70_receive_buf+0, 0
	MOVWF      FARG_rfm70_buffer_read_pBuf+0
	MOVF       FARG_rfm70_receive_length+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_rfm70_buffer_read_length+0
	CALL       _rfm70_buffer_read+0
;rfm70.c,808 :: 		return 1;
	MOVLW      1
	MOVWF      R0+0
;rfm70.c,809 :: 		}
	RETURN
; end of _rfm70_receive

_rfm70_init:
;rfm70.c,811 :: 		void rfm70_init( void ){
;rfm70.c,814 :: 		RFM70_PIN_DIRECTION;
	MOVLW      4
	MOVWF      TRISC+0
;rfm70.c,816 :: 		RFM70_CE( 0 );
L_rfm70_init229:
	MOVLW      255
	ANDWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
;rfm70.c,817 :: 		RFM70_CSN( 1 );
	MOVLW      8
	IORWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
L_rfm70_init240:
;rfm70.c,818 :: 		RFM70_SCK( 0 );
L_rfm70_init245:
	MOVLW      255
	ANDWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
;rfm70.c,819 :: 		RFM70_MOSI( 0 );
L_rfm70_init253:
	MOVLW      255
	ANDWF      _PORTC_SHADOW+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _PORTC_SHADOW+0
	MOVF       R0+0, 0
	MOVWF      PORTC+0
;rfm70.c,823 :: 		RFM70_WAIT_MS( 50 );
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_rfm70_init259:
	DECFSZ     R13+0, 1
	GOTO       L_rfm70_init259
	DECFSZ     R12+0, 1
	GOTO       L_rfm70_init259
	NOP
	NOP
;rfm70.c,826 :: 		rfm70_bank( 0 );
	CLRF       FARG_rfm70_bank_b+0
	CALL       _rfm70_bank+0
;rfm70.c,827 :: 		for( i = 0; i < BANK0_ENTRIES; i++ ){
	CLRF       rfm70_init_i_L0+0
L_rfm70_init260:
	MOVLW      10
	SUBWF      rfm70_init_i_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_rfm70_init261
;rfm70.c,828 :: 		rfm70_register_write( Bank0_Reg[ i ][0], Bank0_Reg[ i ][1] );
	MOVF       rfm70_init_i_L0+0, 0
	MOVWF      R0+0
	CLRF       R0+1
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	MOVLW      _Bank0_Reg+0
	ADDWF      R0+0, 1
	MOVLW      hi_addr(_Bank0_Reg+0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_rfm70_register_write_reg+0
	INCF       R0+0, 1
	BTFSC      STATUS+0, 2
	INCF       R0+1, 1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,827 :: 		for( i = 0; i < BANK0_ENTRIES; i++ ){
	INCF       rfm70_init_i_L0+0, 1
;rfm70.c,829 :: 		}
	GOTO       L_rfm70_init260
L_rfm70_init261:
;rfm70.c,831 :: 		rfm70_receive_address_p0( RX0_Address );
	MOVLW      _RX0_Address+0
	MOVWF      FARG_rfm70_receive_address_p0_address+0
	MOVLW      hi_addr(_RX0_Address+0
	MOVWF      FARG_rfm70_receive_address_p0_address+1
	CALL       _rfm70_receive_address_p0+0
;rfm70.c,832 :: 		rfm70_receive_address_p1( RX0_Address );
	MOVLW      _RX0_Address+0
	MOVWF      FARG_rfm70_receive_address_p1_address+0
	MOVLW      hi_addr(_RX0_Address+0
	MOVWF      FARG_rfm70_receive_address_p1_address+1
	CALL       _rfm70_receive_address_p1+0
;rfm70.c,833 :: 		rfm70_transmit_address( RX0_Address );
	MOVLW      _RX0_Address+0
	MOVWF      FARG_rfm70_transmit_address_address+0
	MOVLW      hi_addr(_RX0_Address+0
	MOVWF      FARG_rfm70_transmit_address_address+1
	CALL       _rfm70_transmit_address+0
;rfm70.c,836 :: 		i = rfm70_register_read(29);
	MOVLW      29
	MOVWF      FARG_rfm70_register_read_reg+0
	CALL       _rfm70_register_read+0
	MOVF       R0+0, 0
	MOVWF      rfm70_init_i_L0+0
;rfm70.c,837 :: 		if( i == 0 ){ // only when the extra features are not yet activated!
	MOVF       R0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_rfm70_init263
;rfm70.c,838 :: 		rfm70_register_write( RFM70_CMD_ACTIVATE, 0x73 );
	MOVLW      80
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVLW      115
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,839 :: 		}
L_rfm70_init263:
;rfm70.c,842 :: 		rfm70_register_write( 28, 0x3F );
	MOVLW      28
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVLW      63
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,845 :: 		rfm70_register_write( 29, 0x07 );
	MOVLW      29
	MOVWF      FARG_rfm70_register_write_reg+0
	MOVLW      7
	MOVWF      FARG_rfm70_register_write_value+0
	CALL       _rfm70_register_write+0
;rfm70.c,848 :: 		rfm70_channel_payload_size( 0, 0 );
	CLRF       FARG_rfm70_channel_payload_size_channel+0
	CLRF       FARG_rfm70_channel_payload_size_size+0
	CALL       _rfm70_channel_payload_size+0
;rfm70.c,849 :: 		rfm70_channel_payload_size( 1, 0 );
	MOVLW      1
	MOVWF      FARG_rfm70_channel_payload_size_channel+0
	CLRF       FARG_rfm70_channel_payload_size_size+0
	CALL       _rfm70_channel_payload_size+0
;rfm70.c,851 :: 		rfm70_init_bank1();
	CALL       _rfm70_init_bank1+0
;rfm70.c,852 :: 		RFM70_WAIT_MS( 50 );
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_rfm70_init264:
	DECFSZ     R13+0, 1
	GOTO       L_rfm70_init264
	DECFSZ     R12+0, 1
	GOTO       L_rfm70_init264
	NOP
	NOP
;rfm70.c,853 :: 		rfm70_mode_receive();
	CALL       _rfm70_mode_receive+0
;rfm70.c,854 :: 		}
	RETURN
; end of _rfm70_init

_main:
	CLRF       main_receive_led_L0+0
	CLRF       main_transmit_led_L0+0
	CLRF       main_n_L0+0
;rfm.c,11 :: 		void main() {
;rfm.c,23 :: 		PORTA=0;
	CLRF       PORTA+0
;rfm.c,24 :: 		C1ON_bit = 0;               // Disable comparators
	BCF        C1ON_bit+0, 7
;rfm.c,25 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, 7
;rfm.c,27 :: 		PORTA = 0;
	CLRF       PORTA+0
;rfm.c,28 :: 		TRISA = 0;
	CLRF       TRISA+0
;rfm.c,29 :: 		PORTB = 0;
	CLRF       PORTB+0
;rfm.c,30 :: 		TRISB = 0;
	CLRF       TRISB+0
;rfm.c,32 :: 		ANSEL = 0;
	CLRF       ANSEL+0
;rfm.c,33 :: 		ANSELH= 0;
	CLRF       ANSELH+0
;rfm.c,34 :: 		CM1CON0=0;
	CLRF       CM1CON0+0
;rfm.c,35 :: 		CM2CON0=0;
	CLRF       CM2CON0+0
;rfm.c,37 :: 		ANSEL = 0;
	CLRF       ANSEL+0
;rfm.c,38 :: 		ANSELH = 0;
	CLRF       ANSELH+0
;rfm.c,39 :: 		WPUB = 0;
	CLRF       WPUB+0
;rfm.c,41 :: 		RED_LED_OUT();
	BCF        TRISA+0, 1
;rfm.c,42 :: 		GREEN_LED_OUT();
	BCF        TRISA+0, 0
;rfm.c,44 :: 		rfm70_init();
	CALL       _rfm70_init+0
;rfm.c,47 :: 		}
	GOTO       $+0
; end of _main
