#include "rfm70.c"
#include "rfm70.h"
#include "rfm70-config.h"

#define GREEN_LED( x )                PIN_COPY( PORTD, 0, !(x) )
#define RED_LED( x )        PIN_COPY( PORTD, 1, !(x) )

#define GREEN_LED_OUT()                 TRISA.B0=0;
#define RED_LED_OUT()                        TRISA.B1=0;

void main() {

    unsigned char n = 0;
    unsigned char transmit_led = 0;
    unsigned char receive_led = 0;
        unsigned char len, i, chksum, pipe;
        unsigned char rx_buf[ RFM70_MAX_PACKET_LEN ];
    const unsigned char tx_buf[17]={
       0x30,0x31,0x32,0x33,0x34,0x35,0x36,0x37,0x38,
       0x39,0x3a,0x3b,0x3c,0x3d,0x3e,0x3f,0x78};


       PORTA=0;
       C1ON_bit = 0;               // Disable comparators
       C2ON_bit = 0;

       PORTA = 0;
       TRISA = 0;
       PORTB = 0;
       TRISB = 0;

      ANSEL = 0;
      ANSELH= 0;
      CM1CON0=0;
      CM2CON0=0;

       ANSEL = 0;
         ANSELH = 0;
        WPUB = 0;
        
        RED_LED_OUT();
        GREEN_LED_OUT();

        rfm70_init();

      
}
